%global modname trollius_redis
%global pkgname trollius-redis
%global sum Redis client for the Python event loop PEP3156 for Trollius.

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{pkgname}
Version:        0.1.4
Release:        11%{?dist}
Summary:        %{sum}

License:        BSD
URL:            http://pypi.python.org/pypi/trollius-redis
Source0:        https://pypi.python.org/packages/source/t/trollius_redis/trollius_redis-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-trollius
BuildRequires:  python2-devel
BuildRequires:  python-setuptools


%description
Redis client for Python trollius

This Redis library is a completely asynchronous, non-blocking client for a
Redis server. It depends on trollius (asyncio compatible for PEP 3156). It
supports Python 2 Trollius-using developers.

If you're new to asyncio, it can be helpful to check out the asyncio
documentation first.


%package -n python2-%{pkgname}
Summary:        %{sum}
Requires:       python-trollius
Provides:       python-%{pkgname} = %{version}-%{release}
Obsoletes:      python-%{pkgname} <= 0.1.4-4

%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{pkgname}
Redis client for Python trollius

This Redis library is a completely asynchronous, non-blocking client for a
Redis server. It depends on trollius (asyncio compatible for PEP 3156). It
supports Python 2 Trollius-using developers.

If you're new to asyncio, it can be helpful to check out the asyncio
documentation first.


%if 0%{?with_python3}
%package -n     python3-%{pkgname}
Summary:        Python 3.x Redis client for the python event loop PEP3156
Requires:       python3-trollius
BuildRequires:  python3-trollius
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description -n python3-%{pkgname}
Redis client for Python trollius

This Redis library is a completely asynchronous, non-blocking client for a
Redis server. It depends on trollius (asyncio compatible for PEP 3156). It
supports Python 3 Trollius-using developers.

If you're new to asyncio, it can be helpful to check out the asyncio
documentation first.
%endif


%prep
%autosetup -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
# Tests are failing on koji as they require network access
#%{__python2} setup.py test
#%if 0%{?with_python3}
#%{__python3} setup.py test
#%endif


%files -n python2-%{pkgname}
%doc README.rst
# requested upstream: https://github.com/benjolitz/trollius-redis/issues/1
#%license LICENSE
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-%{pkgname}
%doc README.rst
# requested upstream: https://github.com/benjolitz/trollius-redis/issues/1
#%license LICENSE
%{python3_sitelib}/%{modname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{modname}
%endif


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.4-8
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun May  8 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.4-6
- Provide/Obsolete old python package name to provide upgrade path

* Thu Mar 03 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.4-5
- Update to the latest python packaging guidelines
- Offer a python3 sub-package

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 15 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.4-2
- Add missing BR python-setuptools

* Wed Jun 10 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.4-1
- initial package for Fedora
